{
  "name": "khollise-auth",
  "private": true,
  "type": "module",
  "scripts": {
    "build": "react-router build",
    "dev": "react-router dev --host",
    "start": "react-router-serve ./build/server/index.js",
    "typecheck": "react-router typegen && tsc",
    "deploy": "netlify deploy --prod --dir=./build/client --message=\"Deploy to Netlify from Forgejo\" --site=$NETLIFY_SITE_ID --auth=$NETLIFY_AUTH_TOKEN --no-build"
  },
  "dependencies": {
    "@marsidev/react-turnstile": "^1.1.0",
    "@radix-ui/react-accordion": "^1.2.12",
    "@radix-ui/react-avatar": "^1.1.10",
    "@radix-ui/react-collapsible": "^1.1.11",
    "@radix-ui/react-dialog": "^1.1.14",
    "@radix-ui/react-dropdown-menu": "^2.1.15",
    "@radix-ui/react-label": "^2.1.6",
    "@radix-ui/react-navigation-menu": "^1.2.14",
    "@radix-ui/react-popover": "^1.1.14",
    "@radix-ui/react-select": "^2.2.5",
    "@radix-ui/react-separator": "^1.1.7",
    "@radix-ui/react-slot": "^1.2.3",
    "@radix-ui/react-switch": "^1.2.6",
    "@radix-ui/react-tabs": "^1.1.12",
    "@react-router/node": "^7.5.3",
    "@react-router/serve": "^7.5.3",
    "@tanstack/query-async-storage-persister": "^5.83.0",
    "@tanstack/react-query": "^5.83.0",
    "@tanstack/react-query-persist-client": "^5.83.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cmdk": "^1.1.1",
    "date-fns": "^4.1.0",
    "htmlparser2": "^10.0.0",
    "idb-keyval": "^6.2.2",
    "input-otp": "^1.4.2",
    "isbot": "^5.1.27",
    "katex": "^0.16.22",
    "lucide-react": "^0.511.0",
    "luxon": "^3.7.1",
    "netlify-cli": "^22.1.3",
    "react": "^19.1.0",
    "react-day-picker": "^9.8.1",
    "react-dom": "^19.1.0",
    "react-latex-next": "^3.0.0",
    "react-router": "^7.5.3",
    "sonner": "^2.0.6",
    "tailwind-merge": "^3.3.0",
    "tw-animate-css": "^1.3.0"
  },
  "devDependencies": {
    "@react-router/dev": "^7.5.3",
    "@tailwindcss/vite": "^4.1.11",
    "@types/luxon": "^3.7.0",
    "@types/node": "^20",
    "@types/react": "^19.1.2",
    "@types/react-dom": "^19.1.2",
    "tailwindcss": "^4.1.4",
    "typescript": "^5.8.3",
    "vite": "^7.0.6",
    "vite-plugin-pwa": "^1.0.2",
    "vite-tsconfig-paths": "^5.1.4"
  }
}
